Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PVector

Name

### limit()

Examples

    PVector v = new PVector(10, 20, 2);
    v.limit(5);
    println(v);  // Prints "[ 2.2271771, 4.4543543, 0.4454354 ]"

Description | Limit the magnitude of this vector to the value used for the max parameter.

Syntax

    vec.limit(max)

Parameters

vec | any variable of type PVector
max | float: the maximum magnitude for the vector

Returns | None
Usage | Web & Application

Updated on November 22, 2008 08:39:26pm PST